Skip to content

Update a Lead

PUT https://api.copper.com/developer_api/v1/leads/{{example_lead_id}}

Updates are only applied to fields explicitly specified in the request body. For example, if an update request is made with an empty body, no updates will be made. To remove the value from a field, the request body must specify the target field value as 'null'.

Connect fields

If your integration reads a record and sends it back as an update, be careful with connect fields. They appear in custom_fields as [] on read, so sending that back deletes their connections. Send only the fields you're changing, and add or remove connections through the connect field endpoints. See Updating records that have connect fields.

Request body

{
  "details": "This is an update",
  "custom_fields": [
    {
      "custom_field_definition_id": 184997,
      "value": [ 262644, 262645 ]
    }
  ]
}

Note that this endpoint is eligible to return computed custom field values, click here for more information.

Example Requests

Update a Lead

curl --location --request PUT "https://api.copper.com/developer_api/v1/leads/{{example_lead_id}}" \
  --header "X-PW-AccessToken: YOUR_TOKEN_HERE" \
  --header "X-PW-Application: developer_api" \
  --header "X-PW-UserEmail: YOUR_EMAIL_HERE" \
  --header "Content-Type: application/json" \
  --data "{
  \"details\":\"This is an update\",
  \"custom_fields\": [
    {
      \"custom_field_definition_id\": 184997,
      \"value\": [262644,262645]
    }
  ]
}"
{
  "id": 8894157,
  "name": "Test Lead",
  "prefix": null,
  "first_name": "Test",
  "last_name": "Lead",
  "middle_name": null,
  "suffix": null,
  "address": {
    "street": "301 Howard St Ste 600",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94105",
    "country": "US"
  },
  "assignee_id": 137658,
  "company_name": "Lead's Company",
  "customer_source_id": 331241,
  "details": "This is an update",
  "email": {
    "email": "address@workemail.com",
    "category": "work"
  },
  "interaction_count": 0,
  "monetary_unit": null,
  "monetary_value": 100,
  "socials": [
    {
      "url": "facebook.com/test_lead",
      "category": "facebook"
    }
  ],
  "status": "New",
  "status_id": 208231,
  "tags": [
    "tag 1",
    "tag 2"
  ],
  "title": "Title",
  "websites": [
    {
      "url": "www.workwebsite.com",
      "category": "work"
    }
  ],
  "phone_numbers": [
    {
      "number": "415-999-4321",
      "category": "mobile"
    },
    {
      "number": "415-555-1234",
      "category": "work"
    }
  ],
  "custom_fields": [
    {
      "custom_field_definition_id": 100764,
      "value": "A Text Value"
    },
    {
      "custom_field_definition_id": 128735,
      "value": 1511942400
    },
    {
      "custom_field_definition_id": 184997,
      "value": [
        262644,
        262645
      ]
    },
    {
      "custom_field_definition_id": 103481,
      "value": null
    }
  ],
  "date_created": 1489018784,
  "date_modified": 1513976942,
  "date_last_contacted": null
}